# tail.select.js - Beautify Select Fields

![npm](https://img.shields.io/npm/v/tail.select.js?style=flat-square)
![npm](https://img.shields.io/npm/dw/tail.select.js?style=flat-square)
![NPM](https://img.shields.io/npm/l/tail.select.js?style=flat-square)

**Replace** and **Improve** your HTML `<select>` fields with style and without **jQuery**!

The **tail.select** script is back, rewritten in vanilla JavaScript and ready to beautify and extend your HTML `<select>` fields... again! Add a search bar, multi-selection utilities (such as select all or none buttons), a perfect design and many more user-friendly functions to your web application.

**NOTE #1**: If you want to use the latest version and your implementation is simple, or if you are starting a new project from scratch, then you can use the `1.x` branch. This branch is actively maintained.

**NOTE #2**: Version `0.5.23` is the last one in the `0.5.x` branch. The next version is `1.x` and contains breaking changes. If you have an older implementation, and you use custom code, please stick to the `0.5.x` branch. This branch is no longer maintained, but it's stable.

---

[Want to see **tail.select** in action?](https://getbutterfly.com/tail-select/)

## Support

<p style="text-align: center">
    You really like my <b>tail.select</b> script and want to support me and all of my projects?<br>
    Then I would be extremely grateful for a coffee! (<b>Thanks to all Supporters</b>)<br><br>
    <a href="https://www.buymeacoffee.com/wolffe"><img src="https://www.buymeacoffee.com/assets/img/custom_images/orange_img.png" alt="Buy Me A Coffee"></a>
</p>

## Features

-   **Beautiful**. 2 different designs (light and dark)
-   **Extensive**.
    -   Search bar to find options quickly...
    -   All / None optgroup selection buttons...
-   **Translatable**.
-   **Zero dependencies**. And written in vanilla JavaScript...
-   **Free to use**. Because it's MIT licensed <3

## Install & Embed

The master branch will always contain the latest release, which you can download directly here
as [.tar](https://github.com/wolffe/tail.select.js/tarball/master) or as [.zip](https://github.com/wolffe/tail.select.js/zipball/master)
archive, or just visit the [Releases](https://github.com/wolffe/tail.select.js/releases) Page
on GitHub directly. You can also be cool and using npm, Yarn or bower:

```markup
npm install tail.select.js --save
```

```markup
yarn add tail.select.js --save
```

```markup
bower install tail.select.js --save
```

### Using a CDN

You can also use the awesome CDN services from jsDelivr or UNPKG.

```markup
https://www.npmjs.com/package/tail.select.js
```

```markup
https://cdn.jsdelivr.net/npm/tail.select.js@1.1.0/js/tail.select.min.js
```

```markup
https://unpkg.com/browse/tail.select.js@1.1.0/
```
